W3C home > Mailing lists > Public > public-xml-processing-model-wg@w3.org > July 2008

XPath-version

From: Norman Walsh <ndw@nwalsh.com>
Date: Wed, 02 Jul 2008 10:58:49 -0400
To: public-xml-processing-model-wg@w3.org
Message-ID: <m24p7872om.fsf_-_@nwalsh.com>
/ Norman Walsh <ndw@nwalsh.com> was heard to say:
|    Proposal: Make it a dynamic error if a 1.0 processor attempts to evaluate
|    a 2.0 expression that it cannot determine will yield the right results. A
|    1.0 processor which encounters an explicit xpath-version=2.0 on a step
|    that it is about to evaluate must throw this error.
|
|    Accepted.

I've published a new editor's draft that attempts to implement this proposal.
Unfortunately, the proposal is contradictory. So I did my best. Comments
welcome.

                                        Be seeing you,
                                          norm

-- 
Norman Walsh <ndw@nwalsh.com> | One should always be a little
http://nwalsh.com/            | improbable.--Oscar Wilde

Received on Wednesday, 2 July 2008 14:59:26 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Wednesday, 2 July 2008 14:59:26 GMT